<?php
namespace ONLINE_ADA;

/**
 * Plugin Name:       Accessibility Suite by Online ADA
 * Plugin URI:        https://adaplugin.com
 * Description:       The most powerful and comprehensive Accessibility Suite. Achieve and maintain ADA/WCAG compliance faster than ever before. Scan, identify, get instruction, and fix.
 * Version:           3.0
 * Author:            Online ADA
 * Author URI:        https://adaplugin.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       ada_compliance_plugin
 * Domain Path:       /languages
 */

if (!defined('ABSPATH')) {
    exit;
}

require_once plugin_dir_path(__FILE__) . 'includes/classes/Plugin.php';

$info = [
    "name" => "online-accessibility",
    "name_pretty" => "Accessibility Suite",
    "version" => "3.0",
    "file" => __FILE__,
    "path" => plugin_dir_path(__FILE__),
    "url"  => plugin_dir_url(__FILE__),
    "ext-quickref" => "https://www.w3.org/WAI/WCAG20/quickref/",
    "int-quickref" => admin_url("edit.php?post_type=wcag_scan&page=wcag-guidelines"),
    "site_url" => site_url(),
    "home_url" => home_url(),
    "chunkSize" => get_option("_oadaas_scan_schunk_size", 700000),
    "db_row_limit" => get_option("_oadaas_db_row_limit", 25),
    "gibberish_matrix" => plugin_dir_path(__FILE__) . "vendor/foxorm/gibberish-detector/sample/phrases/matrix.txt"
];

Plugin::instance($info);